
#include "cantus.h"


void TRIPinit()
{
	*R_PAF0 = 0xFFFF;  // GPIO 
	*R_PAF1 = 0x0FFF;  // UART7, GPIO
	*R_PAF2 = 0xFFFF;  // GPIO
	*R_PAF3 = 0xFFFF;  // GPIO
	*R_PAF4 = 0xFFFF;  // GPIO
	*R_PAF5 = 0xFFFF;  // GPIO
	*R_PAF6 = 0x0FFF;  // GPIO
	*R_P5oDIR |= (1<<7); // PIO5.7 output mode
}

int main()
{
	TRIPinit();
	InitInterrupt();
	UartConfig(7,115200,DATABITS_8,STOPBITS_1,UART_PARNONE);
	debugstring("================================================\r\n");
	debugprintf(" LED TEST. System Clock(%dMhz)\r\n",GetAHBclock()/1000000);
	debugstring("================================================\r\n");
	
	while(1)
	{
		*R_P5oLOW = (1<<7);//PIO5.7 low , led on
		delayms(200);
		*R_P5oHIGH = (1<<7);//PIO5.7 high , led off
		delayms(200);
	}
	
	return 0;
}
